Bug 185410 - [NEW PORT] security/pecl-crypto: Objective wrapper for OpenSSL Crypto Library
Summary: [NEW PORT] security/pecl-crypto: Objective wrapper for OpenSSL Crypto Library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 06:30 UTC by Gasol Wu
Modified: 2014-01-06 15:20 UTC (History)
0 users

See Also:


Attachments
.shar (2.45 KB, text/plain)
2014-01-02 06:30 UTC, Gasol Wu
no flags Details
185410-2.shar (2.21 KB, application/x-shar)
2014-01-06 06:26 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2014-01-02 06:30:00 UTC
This package provides an objective wrapper for OpenSSL Crypto Library

WWW: http://pecl.php.net/package/crypto

Generated with FreeBSD Port Tools 0.99_11 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-02 06:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2014-01-04 08:13:49 UTC
State Changed
From-To: open->feedback

Please consider to use USE_OPENSSL for OpenSSL dependency. Does this 
port work with openssl from base system?
Comment 3 dfilter service freebsd_committer 2014-01-06 15:12:05 UTC
Author: sunpoet
Date: Mon Jan  6 15:11:54 2014
New Revision: 338894
URL: http://svnweb.freebsd.org/changeset/ports/338894

Log:
  - Add pecl-crypto 0.1.0
  
  This package provides an objective wrapper for OpenSSL Crypto Library
  
  WWW: http://pecl.php.net/package/crypto
  
  PR:		ports/185410
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>

Added:
  head/security/pecl-crypto/
  head/security/pecl-crypto/Makefile   (contents, props changed)
  head/security/pecl-crypto/distinfo   (contents, props changed)
  head/security/pecl-crypto/files/
  head/security/pecl-crypto/files/patch-config.m4   (contents, props changed)
  head/security/pecl-crypto/pkg-descr   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Mon Jan  6 15:11:48 2014	(r338893)
+++ head/security/Makefile	Mon Jan  6 15:11:54 2014	(r338894)
@@ -671,6 +671,7 @@
     SUBDIR += pear-Net_Portscan
     SUBDIR += pear-Text_Password
     SUBDIR += pecl-crack
+    SUBDIR += pecl-crypto
     SUBDIR += pecl-gnupg
     SUBDIR += pecl-pam
     SUBDIR += pecl-scrypt

Added: head/security/pecl-crypto/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-crypto/Makefile	Mon Jan  6 15:11:54 2014	(r338894)
@@ -0,0 +1,23 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	crypto
+PORTVERSION=	0.1.1
+CATEGORIES=	security
+MASTER_SITES=	http://pecl.php.net/get/
+PKGNAMEPREFIX=	pecl-
+EXTRACT_SUFX=	.tgz
+DIST_SUBDIR=	PECL
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Objective wrapper for OpenSSL Crypto Library
+
+LICENSE=	PHP301
+
+CONFIGURE_ARGS=	--with-crypto
+USE_OPENSSL=	yes
+USE_PHP=	yes
+USE_PHPEXT=	yes
+USE_PHPIZE=	yes
+
+.include <bsd.port.mk>

Added: head/security/pecl-crypto/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-crypto/distinfo	Mon Jan  6 15:11:54 2014	(r338894)
@@ -0,0 +1,2 @@
+SHA256 (PECL/crypto-0.1.1.tgz) = 9844e93078ac165255bdba6944abf6ec196be9964f9807df9f8f7d792a18807b
+SIZE (PECL/crypto-0.1.1.tgz) = 31097

Added: head/security/pecl-crypto/files/patch-config.m4
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-crypto/files/patch-config.m4	Mon Jan  6 15:11:54 2014	(r338894)
@@ -0,0 +1,11 @@
+--- ./config.m4.orig	2014-01-06 13:47:54.000000000 +0800
++++ ./config.m4	2014-01-06 13:48:11.000000000 +0800
+@@ -17,6 +17,8 @@
+       PHP_ADD_INCLUDE($OPENSSL_INCDIR)
+       CRYPTO_LIBS=`$PKG_CONFIG --libs openssl`
+       PHP_EVAL_LIBLINE($CRYPTO_LIBS, CRYPTO_SHARED_LIBADD)
++    else
++      PHP_EVAL_LIBLINE("-lssl -lcrypto", CRYPTO_SHARED_LIBADD)
+     fi
+ 
+     AC_DEFINE(HAVE_CRYPTOLIB,1,[Enable objective OpenSSL Crypto wrapper])

Added: head/security/pecl-crypto/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-crypto/pkg-descr	Mon Jan  6 15:11:54 2014	(r338894)
@@ -0,0 +1,3 @@
+This package provides an objective wrapper for OpenSSL Crypto Library
+
+WWW: http://pecl.php.net/package/crypto
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2014-01-06 15:13:40 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!